<mat-toolbar class="mat-elevation-z5" [color]="!callService.showCallbar ? 'primary' : ''">
	<button mat-icon-button [routerLink]="['/connect/group', this.group?.id]">
		<mat-icon>arrow_back</mat-icon>
	</button>

	<app-avatar [group]="group" (click)="selectAvatar()"></app-avatar>

	<span>{{ group?.partnerProfile?.displaynameDecrypted || group?.nameDecrypted }}</span>

	<div class="buttons">
		<button
			mat-icon-button
			*ngIf="group?.type === 'GROUP' && group?.role === 'ADMIN' && group?.left == null"
			(click)="this.groupService.showRenameDialog(group)"
			matTooltip="{{ 'simple.changeGroupName' | translate }}"
		>
			<mat-icon>edit</mat-icon>
		</button>
		<button
			*ngIf="group?.type === 'GROUP' && group?.role === 'ADMIN' && group?.left == null"
			mat-icon-button
			(click)="showAddMemberDialog()"
			matTooltip="{{ 'simple.addMember' | translate }}"
		>
			<mat-icon>person_add</mat-icon>
		</button>
		<button mat-icon-button (click)="groupService.showLeaveGroupDialog(group)" matTooltip="{{ 'simple.leaveGroup' | translate }}">
			<mat-icon>exit_to_app</mat-icon>
		</button>
	</div>
</mat-toolbar>

<mat-list>
	<mat-list-item *ngFor="let member of membershipCacheService.getMembershipsSubject(group?.id) | async">
		<app-avatar matListIcon [profile]="member.profile"></app-avatar>
		<h3 matLine>{{ member.profile?.displaynameDecrypted }}{{ member.userId === userId ? ' (' + ('simple.you' | translate) + ')' : '' }}</h3>
		<p matLine>{{ formatFullTime(member.joined) }}</p>

		<button mat-icon-button matTooltip="{{ 'simple.permissions' | translate }}" (click)="showChangePermissionDialog(member)">
			<mat-icon>gavel</mat-icon>
		</button>

		<button
			mat-icon-button
			*ngIf="member.userId === userId && group?.left === null"
			matTooltip="{{ 'simple.changeProfile' | translate }}"
			(click)="changeProfile()"
		>
			<mat-icon>edit</mat-icon>
		</button>
		<button
			mat-icon-button
			matTooltip="{{ 'simple.delete' | translate }}"
			*ngIf="group?.type === 'GROUP' && group?.role === 'ADMIN'"
			(click)="kick(member)"
		>
			<mat-icon>cancel</mat-icon>
		</button>
	</mat-list-item>
</mat-list>

<div class="hidden">
	<input #file hidden type="file" (change)="uploadAvatar($event.target.files)" accept="image/png,image/jpeg" />
</div>
